Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHDoctype

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHElement
          edu.harvard.hul.ois.jhove.module.html.JHDoctype

    public class JHDoctype

extends JHElement

Representation of a parsed HTML DOCTYPE.

Author:
  Gary McGath

Field Summary
`java.util.List` | `_doctypeElements` List of tokens in the DOCTYPE.

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`_column, _line`

Constructor Summary
`JHDoctype(java.util.List elements, java.util.List dtElements)` Constructor.

Method Summary
`java.util.List` | `getDoctypeElements()` Returns the doctype token list.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`getColumn, getEntities, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _doctypeElements

    public java.util.List _doctypeElements

  List of tokens in the DOCTYPE.

Constructor Detail

### JHDoctype

    public JHDoctype(java.util.List elements,
                     java.util.List dtElements)

  Constructor.

Method Detail

### getDoctypeElements

    public java.util.List getDoctypeElements()

  Returns the doctype token list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD